<?php

use Illuminate\Support\Facades\Route;
use App\Models\Job;

Route::get('/', function () {
    return view('home', ['greeting'=>'Hello']);
});

Route::get('/jobs', function () {
    $jobs = Job::orderBy('salary','desc')->paginate(5);
    return view('jobs/index', [
        'jobs' => $jobs
    ]);
});

//     return view('jobs', ['jobs' => $jobs]);
// });

Route::get('/contact', function () {
    return view('contact');
});
Route::get('/jobs/{id}', function ($id) {
        $job = Job::find($id);

    return view('jobs/show', ['job' => $job]);
});





